Loading...
Searching...
No Matches
irr::gui::SCursorSprite Struct Reference

structure used to set sprites as cursors. More...

`#include <ICursorControl.h>`

## Public Member Functions

| SCursorSprite ()
| SCursorSprite (gui::IGUISpriteBank *spriteBank, s32 spriteId, const core::position2d< s32 > &hotspot=(core::position2d< s32 >(0, 0)))

## Public Attributes

core::position2d< s32 > | HotSpot
IGUISpriteBank * | SpriteBank
s32 | SpriteId

## Detailed Description

structure used to set sprites as cursors.

Definition at line 64 of file ICursorControl.h.

## Constructor & Destructor Documentation

## SCursorSprite() [1/2]

irr::gui::SCursorSprite::SCursorSprite | ( |  | ) |

inline

Definition at line 66 of file ICursorControl.h.

References SpriteBank, and SpriteId.

## SCursorSprite() [2/2]

irr::gui::SCursorSprite::SCursorSprite | ( | gui::IGUISpriteBank * | spriteBank,
|  | s32 | spriteId,
|  | const core::position2d< s32 > & | hotspot = (core::position2d<s32>(0,0)) )

inline

Definition at line 71 of file ICursorControl.h.

References HotSpot, SpriteBank, and SpriteId.

## Member Data Documentation

## HotSpot

core::position2d<s32> irr::gui::SCursorSprite::HotSpot

Definition at line 78 of file ICursorControl.h.

Referenced by SCursorSprite().

## SpriteBank

IGUISpriteBank* irr::gui::SCursorSprite::SpriteBank

Definition at line 76 of file ICursorControl.h.

Referenced by SCursorSprite(), and SCursorSprite().

## SpriteId

s32 irr::gui::SCursorSprite::SpriteId

Definition at line 77 of file ICursorControl.h.

Referenced by SCursorSprite(), and SCursorSprite().

The documentation for this struct was generated from the following file:

- ICursorControl.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0